clear
clc
clear all 

rng('default');

Zeta=0.01;

Links=MinimumDistance(40,80);
Lambdamu=rand(40,1)*300-100;
while sum(Lambdamu)<0
    Lambdamu=rand(40,1)*250-50;
end

ii=0;
%Change increment
for i=0:50:200
     ii=ii+1;
     Lambdasig=ones(1,40)*(i/40);
     [Satisfied, Edges]=QuenchedWithZeta(Lambdamu,Lambdasig,Links,Zeta);
     CostAll(ii)=sum(Edges(:,3).^2);
     jj=0;
     %Change Number for mean
     for j=1:2
         jj=jj+1;
         a=randi(40);
         Lambdasig=zeros(1,40);
         Lambdasig(a)=i;
         [Satisfied, Edges]=QuenchedWithZeta(Lambdamu,Lambdasig,Links,Zeta);
         CostOne(ii,jj)=sum(Edges(:,3).^2);
         a=randi(40,1,20);
         Lambdasig=zeros(1,40);
         for k=1:20
             Lambdasig(a(k))=i/20;
         end
         [Satisfied, Edges]=QuenchedWithZeta(Lambdamu,Lambdasig,Links,Zeta);
         CostSome(ii,jj)=sum(Edges(:,3).^2);
         Sigma(ii)=i;
     end
     
     
end         

CostOne=CostOne';
CostSome=CostSome';
CostAll=CostAll';
     
plot(Sigma,CostAll,'bo',Sigma,mean(CostOne),'r+',Sigma,mean(CostSome),'k*')